# Documentation available at https://gitlab-org.gitlab.io/professional-services-automation/pipelinecoe/pipeline-templates/#/PipelineTemplates/Test

# Maven
.mvn-test:
  image: ${CONTAINER_PATH}/maven-container:latest
  stage: test
  variables:
    MAVEN_CLI_OPTS: ""
  script:
    - mvn $MAVEN_CLI_OPTS verify

#Gradle
.gradle-test:
  image: ${CONTAINER_PATH}/gradle-container:latest
  stage: test
  variables:
    GRADLE_CLI_OPTS: ""
  script:
    - gradle $GRADLE_CLI_OPTS test

#Python
.pytest-test:
  image: ${CONTAINER_PATH}/python3-container:latest
  stage: test
  script:
    - pytest --junitxml=report.xml
  artifacts:
    when: always
    reports:
      junit: report.xml

#Jest
.jest-test:
  image: ${CONTAINER_PATH}/nodejs-container:latest
  stage: test
  script:
    - 'jest --ci --reporters=default --reporters=jest-junit'
  artifacts:
    when: always
    reports:
      junit:
        - junit.xml

#Selenium
.selenium-chrome-test:
  stage: test
  services:
    - selenium/standalone-chrome
  script:
    - npm run confidence-check --host=selenium__standalone-chrome

.selenium-firefox-test:
  stage: test
  services:
    - selenium/standalone-firefox
  script:
    - npm run confidence-check --host=selenium__standalone-firefox

.selenium-edge-test:
  stage: test
  services:
    - selenium/standalone-edge
  script:
    - npm run confidence-check --host=selenium__standalone-edge
